Bug 506737 - virt-manager should allow VM names with spaces in them
virt-manager should allow VM names with spaces in them
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-06-18 10:31 EDT by Dan Winship
Modified: 2009-06-23 02:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 02:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2009-06-18 10:31:41 EDT
I want to be able to have VM names like

    Fedora 10
    Windows XP
    FreeBSD 7.2

but virt-manager won't let me. Is there any good reason for that?

Even if there's something in the system that can't deal with filenames with spaces, it could still allow spaces in the UI...
Comment 1 Mark McLoughlin 2009-06-22 12:17:43 EDT
Doesn't seem to be a reason - libvirt allows it
Comment 2 Cole Robinson 2009-06-22 13:03:00 EDT
I think the original motivation is that xen denies it: that is at least the case for xen in RHEL5 it seems. We could make this hypervisor dependent behind the scenes, but it sucks to have to make such a distinction when validating a name.
Comment 3 Daniel Berrange 2009-06-22 13:34:08 EDT
IMHO not allowing special characters in the name is a feature. If we want to have human readable names, we should introduce a new field in the XML for storing this.
Comment 4 Mark McLoughlin 2009-06-23 02:50:40 EDT
Okay, that sounds like a WONTFIX

Note You need to log in before you can comment on or make changes to this bug.